//--------------------------------------------------------------------
// profitunity.mq4
// 
//--------------------------------------------------------------- 1 --
#property copyright "Copyright  Roman Shiredchenko, march, 2011"
#property link      "e-mail: rshiredchenko@mail.ru"
//--------------------------------------------------------------- 2 --
#include <stdlib.mqh>
#include <stderror.mqh>
#include <WinUser32.mqh>
//--------------------------------------------------------------- 3 --
#include <Variables.mqh>   //   
#include <Terminal.mqh>    //  
#include <Events.mqh>      //    , .
#include <Inform.mqh>      //  
#include <Trade.mqh>       //  
#include <Open_Ord.mqh>    //     
#include <Open_Ord_balance_line.mqh> //    -       
#include <Close_All.mqh>   //      
#include <Tral_Stop.mqh>   //  StopLoss   
#include <Lot.mqh>         //   
#include <Criterion.mqh>   //  
#include <Errors.mqh>      //   .
//--------------------------------------------------------------- 4 --
int init()                             // .  init
  {
   Level_old=MarketInfo(Symbol(),MODE_STOPLEVEL );//.  
   Level_Freeze = MarketInfo(Symbol(),MODE_FREEZELEVEL ); 
   Spread = MarketInfo(Symbol(),MODE_SPREAD);
   Tick = MarketInfo(Symbol(), MODE_TICKSIZE);    //M    
   Terminal();                         //    
   return;                             //   init() 
  }
//--------------------------------------------------------------- 5 --
int start()                            // .  start
  {
  
   //PlaySound("tick.wav");              //   
 //-----------------------for price-open---------------------  
   if(Time[0] == prevtime)   return(0);  //  
   prevtime = Time[0];                   //    , 
 //----------------------------------------------------------
   int signal_period=GetPeriod(s_signal_period); //     
   
  AO1 =  iAO(Symbol(), signal_period, 1);
  AO2 =  iAO(Symbol(), signal_period, 2);
   
  Teeth = iAlligator(Symbol(), signal_period, JawPeriod, JawShift, TeethPeriod, TeethShift, 
                           LipsPeriod, LipsShift, AlligatorMethod, AlligatorPrice, 
                           MODE_GATORTEETH, 1);//   -         ,
                                               //   
   fractal_h = iFractals(Symbol(),signal_period, MODE_UPPER, 3);
   if(fractal_h!=0) { upfractal=iFractals(Symbol(), signal_period, MODE_UPPER, 3); time_cur_up = TimeCurrent();} 
   fractal_l = iFractals(Symbol(), signal_period, MODE_LOWER, 3);
   if(fractal_l!=0)  { dwfractal=iFractals(Symbol(),signal_period, MODE_LOWER, 3); time_cur_dw = TimeCurrent();}   
   
   Terminal();                         //    
   Events();                           //   
   Trade(Criterion());                 //  
   Inform(0);                          //   
   return;                             //   start()
  }
//--------------------------------------------------------------- 6 --
int deinit()                           // .  deinit()
  {
   Inform(-1);                         //   
   return;                             //   deinit()
  }
//--------------------------------------------------------------- 7 --
//       

